class LeadCreateResponse {
  LeadCreateResponse({
    this.userUcode,
    this.phoneNumber,
    this.gmail,
    this.weight,
    this.status,
    this.nameUz,
    this.nameRu,
    this.nameZh,
    this.wharehouseUz,
    this.wharehouseRu,
    this.wharehouseZh,
    this.id,
    this.createdAt,
    this.updatedAt,
  });

  LeadCreateResponse.fromJson(dynamic json) {
    userUcode = json['user_ucode'];
    phoneNumber = json['phone_number'];
    gmail = json['gmail'];
    weight = json['weight'];
    status = json['status'] != null ? Status.fromJson(json['status']) : null;
    nameUz = json['nameUz'];
    nameRu = json['nameRu'];
    nameZh = json['nameZh'];
    wharehouseUz = json['wharehouseUz'];
    wharehouseRu = json['wharehouseRu'];
    wharehouseZh = json['wharehouseZh'];
    createdAt = json['createdAt'];
    updatedAt = json['updatedAt'];
    id = json['id'];
  }

  String? userUcode;
  String? phoneNumber;
  String? gmail;
  String? weight;
  Status? status;
  String? nameUz;
  String? nameRu;
  String? nameZh;
  String? wharehouseUz;
  String? wharehouseRu;
  String? wharehouseZh;
  String? id;
  String? createdAt;
  String? updatedAt;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['user_ucode'] = userUcode;
    map['phone_number'] = phoneNumber;
    map['gmail'] = gmail;
    map['weight'] = weight;
    if (status != null) {
      map['status'] = status?.toJson();
    }
    map['nameUz'] = nameUz;
    map['nameRu'] = nameRu;
    map['nameZh'] = nameZh;
    map['wharehouseUz'] = wharehouseUz;
    map['wharehouseRu'] = wharehouseRu;
    map['wharehouseZh'] = wharehouseZh;
    map['createdAt'] = createdAt;
    map['updatedAt'] = updatedAt;

    map['id'] = id;
    return map;
  }
}

class Status {
  Status({this.code, this.translations});

  Status.fromJson(dynamic json) {
    code = json['code'];
    translations =
        json['translations'] != null
            ? Translations.fromJson(json['translations'])
            : null;
  }

  String? code;
  Translations? translations;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['code'] = code;
    if (translations != null) {
      map['translations'] = translations?.toJson();
    }
    return map;
  }
}

class Translations {
  Translations({this.uz, this.ru, this.zh});

  Translations.fromJson(dynamic json) {
    uz = json['uz'];
    ru = json['ru'];
    zh = json['zh'];
  }

  String? uz;
  String? ru;
  String? zh;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['uz'] = uz;
    map['ru'] = ru;
    map['zh'] = zh;
    return map;
  }
}
